Subject: Re: [PATCH 1/3] for-each-ref: introduce %C(...) for color

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Nov 2013 10:02:01 -0800

Ramkumar Ramachandra <[email-masked]> writes:

> Junio C Hamano wrote:
>> ... users of for-each-ref format will be _more_ familiar with
>> formats used by for-each-ref, and it would make a lot more sense to
>> keep the syntactic resemblance between existing features to show
>> magic things in for-each-ref and the new feature to show color
>> (which is merely one new "magic" to the vocabulary in the context of
>> for-each-ref), no?
>
> Okay, so what do you suggest in place of %C(...)?

If %(authordate) is "I want to see the author date here", and
%(authordate:short) is "I want to see the author date here in the
short form", you would expect "I want colored output in green" to be
spelled as %(color:green), or something, perhaps?